Updates a device's name, manufacturer, brand or model and returns the device.
PATCH
/device/{deviceId}
curl \
--request PATCH 'http://api.example.com/device/{deviceId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"name": "string",
"manufacturer": "string",
"brand": "string",
"model": "string"
}'
Request examples
{
"name": "string",
"manufacturer": "string",
"brand": "string",
"model": "string"
}
Response examples (200)
{
"data": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
"serialNumber": "F2LXK0QJHG7F",
"name": "Jane's iPhone",
"type": "ios",
"nonDeviceType": "string",
"model": "iPhone 15",
"timeZone": "America/New_York",
"osVersion": "18.0",
"owner": {},
"devicePhoneNumber": "+15555550100",
"organizations": [
"507f1f77bcf86cd799439011"
],
"extractionCodes": [
"507f1f77bcf86cd799439013"
],
"availableData": {
"messages": true,
"calls": false
}
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}